
# lua-TestMore

---

## Overview

lua-TestMore is a port of the Perl5 module
[Test::More](http://search.cpan.org/~mschwern/Test-Simple/).

It uses the
[Test Anything Protocol](http://en.wikipedia.org/wiki/Test_Anything_Protocol)
as output, that allows a compatibility with the Perl QA ecosystem.
For example,
[prove](http://search.cpan.org/~andya/Test-Harness/bin/prove)
a basic CLI, or
[Smolder](http://search.cpan.org/~wonko/Smolder/)
a Web-based Continuous Integration Smoke Server.

It's an extensible framework. See [lua-TestAssertion](https://framagit.org/fperrad/lua-testassertion)
an extension which provides many Lua friendly assertions.

It allows a simple and efficient way to write tests (without OO style).

Some tests could be marked as **TODO** or **skipped**.

Errors could be fully checked with `error_like()`.

## References

Ian Langworth, chromatic,
[Perl Testing](http://oreilly.com/catalog/9780596100926)
O'Reilly, 2005

## Status

It's developed for Lua 5.1, 5.2, 5.3 & 5.4.

## Download

lua-TestMore source can be downloaded from
[Framagit](http://framagit.org/fperrad/lua-TestMore).

## Installation

The easiest way to install lua-TestMore is to use LuaRocks:

```sh
luarocks install lua-testmore
```

or manually, with:

```sh
make install
```

## The Lua Test Suite

Now, the test suite has its own repository on <http://fperrad.frama.io/lua-Harness/>.

## Copyright and License

Copyright &copy 2009-2021 Fran&ccedil;ois Perrad

This library is licensed under the terms of the MIT/X11 license,
like Lua itself.
